# Uses of Class
org.eclipse.jdt.core.dom.ASTMatcher

Packages that use ASTMatcher
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ASTMatcher in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom with parameters of type ASTMatcher
Modifier and Type
Method
Description
`final boolean`
ASTNode.`subtreeMatch(ASTMatcher matcher, Object other)`
Returns whether the subtree rooted at the given node matches the given other object as decided by the given matcher.